com.thinkaurelius.titan.graphdb.query.condition

## Class ConditionUtil

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.query.condition.ConditionUtil

-     public class ConditionUtil
      extends Object

  Utility methods for transforming and inspecting `Condition`s.
  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConditionUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `containsType(Condition<?> condition, Condition.Type type)`
    `static <E extends TitanElement> Condition<E>` | `literalTransformation(Condition<E> condition, com.google.common.base.Function<Condition<E>,Condition<E>> transformation)`
    `static <E extends TitanElement> Condition<E>` | `transformation(Condition<E> condition, com.google.common.base.Function<Condition<E>,Condition<E>> transformation)`
    `static <E extends TitanElement> void` | `traversal(Condition<E> condition, com.google.common.base.Predicate<Condition<E>> evaluator)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConditionUtil

          public ConditionUtil()

  - ### Method Detail

    - #### literalTransformation

          public static final <E extends TitanElement> Condition<E> literalTransformation(Condition<E> condition,
                                                                    com.google.common.base.Function<Condition<E>,Condition<E>> transformation)

    - #### transformation

          public static final <E extends TitanElement> Condition<E> transformation(Condition<E> condition,
                                                             com.google.common.base.Function<Condition<E>,Condition<E>> transformation)

    - #### containsType

          public static final boolean containsType(Condition<?> condition,
                             Condition.Type type)

    - #### traversal

          public static final <E extends TitanElement> void traversal(Condition<E> condition,
                                                com.google.common.base.Predicate<Condition<E>> evaluator)

Copyright © 2012–2014. All rights reserved.